
----------

  pArAnoIA - is a toolkit designed to navigate/surf the Internet.

 + Web:  https://browser.03c8.net

  ![pArAnoIA](https://browser.03c8.net/paranoia/paranoia-welcome_small.png "pArAnoIA Welcome")

  Main features are:

       - AutoSpoofing: User-Agent, Referer, Window(size)...
       - TOR (proxy support)
       - DNS (prefetching)
       - XSS Audit
       - Cache evasion
       - HTTPS/SSL strict only
       - PrivateBrowsing mode (no logs!)
       - LiveInspector (extra developers tools)
       - Source Code viewer
       - Geolocation (domains visited, user IP...)
       - NoStyles: CSS, images, fonts, etc...
       - NoScripts: Javascript, Java, WebGL, WebAudio, etc..
       - Spelling "hints" to: Wikipedia, NASA, Cambridge Dictionary, OpenStreetmaps, PornHub...
       - Different "privacy based" search engines supported: DuckDuckGo, StartPage
       - DarkWeb search engine supported: Torch!
       - [...]

  Current version (v0.1) is an "alpha" development.

  ![pArAnoIA](https://browser.03c8.net/paranoia/paranoia-welcome_small.png "pArAnoIA Welcome")

----------

#### Installing:

  pArAnoIA runs on many platforms. It requires Python (>2.7.9) and the following libraries:

       python-gi - Python 2.x bindings for gobject-introspection libraries
       python-geoip  - Python bindings for the GeoIP IP-to-country resolver library
       python-requests - elegant and simple HTTP library for Python2, built for human beings

  You can automatically get all required libraries using (as root):

       sudo python setup.py install

  For manual installation, on Debian-based systems (ex: Ubuntu), run: 

       sudo apt-get install python-gi python-geoip python-requests

  On other systems such as: Kali, Ubuntu, ArchLinux, ParrotSec, Fedora, etc... also run:

       pip install geoip 
       pip install requests

----------

####  License:

  pArAnoIA is released under the GPLv3. You can find the full license text
in the [LICENSE](./docs/LICENSE) file.

----------

####  Screenshots (current version!):

  ![pArAnoIA](https://browser.03c8.net/paranoia/paranoia1_small.png "pArAnoIA Example1")

  ![pArAnoIA](https://browser.03c8.net/paranoia/paranoia2_small.png "pArAnoIA Example2")

  ![pArAnoIA](https://browser.03c8.net/paranoia/paranoia3_small.png "pArAnoIA Example3")


